Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jp.sbi.celldesigner.plugin.InfoCenter.InfoUI
Class MappingArrayMassShowerMainWinFrm

    java.lang.Object
      java.awt.Component
          java.awt.Container
              java.awt.Window
                  java.awt.Frame
                      javax.swing.JFrame
                          jp.sbi.celldesigner.plugin.InfoCenter.InfoUI.MappingArrayMassShowerMainWinFrm

All Implemented Interfaces:
  java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, javax.accessibility.Accessible, javax.swing.RootPaneContainer, javax.swing.WindowConstants

Direct Known Subclasses:
  MShowerMain

    public class MappingArrayMassShowerMainWinFrm

extends javax.swing.JFrame

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.JFrame
`javax.swing.JFrame.AccessibleJFrame`

Nested classes/interfaces inherited from class java.awt.Frame
`java.awt.Frame.AccessibleAWTFrame`

Nested classes/interfaces inherited from class java.awt.Window
`java.awt.Window.AccessibleAWTWindow`

Nested classes/interfaces inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes/interfaces inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BaselineResizeBehavior, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary
`static java.awt.Color` | `colorDefaultMax`
`static java.awt.Color` | `colorDefaultMid`
`static java.awt.Color` | `colorDefaultMin`
`protected boolean` | `firstRun`

Fields inherited from class javax.swing.JFrame
`accessibleContext, EXIT_ON_CLOSE, rootPane, rootPaneCheckingEnabled`

Fields inherited from class java.awt.Frame
`CROSSHAIR_CURSOR, DEFAULT_CURSOR, E_RESIZE_CURSOR, HAND_CURSOR, ICONIFIED, MAXIMIZED_BOTH, MAXIMIZED_HORIZ, MAXIMIZED_VERT, MOVE_CURSOR, N_RESIZE_CURSOR, NE_RESIZE_CURSOR, NORMAL, NW_RESIZE_CURSOR, S_RESIZE_CURSOR, SE_RESIZE_CURSOR, SW_RESIZE_CURSOR, TEXT_CURSOR, W_RESIZE_CURSOR, WAIT_CURSOR`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface javax.swing.WindowConstants
`DISPOSE_ON_CLOSE, DO_NOTHING_ON_CLOSE, HIDE_ON_CLOSE`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`MappingArrayMassShowerMainWinFrm(java.awt.Color colorMax, java.awt.Color colorMid, java.awt.Color colorMin)`
`MappingArrayMassShowerMainWinFrm(RsltDtTpMdlSelectFrm mdlsltfrm, RsltDtBindingFrm bingfrm, boolean showmsg)`

Method Summary
`void` | `doStateChanged()`
`protected boolean` | `generateGif()`
`protected boolean` | `generateMovie()`
`MappingArrayMassShowerConfigWinFrm` | `getMappingArrayMassShowerConfigWinFrm()`
`static java.lang.Object` | `getMappingArrayMassShowerMainWinFrmInstanceInCurrentGStructure()`
`double` | `getMaxVaule()`
`java.awt.Color` | `getMaxVauleColor()`
`double` | `getMidVaule()`
`java.awt.Color` | `getMidVauleColor()`
`double` | `getMinVaule()`
`java.awt.Color` | `getMinVauleColor()`
`java.lang.String` | `getOutputGifFileName()`
`java.lang.String` | `getOutputMovFileName()`
`jp.fric.graphics.draw.GStructure` | `getReferenceGStructure()`
`RsltDtBindingFrm` | `getRsltDtBindingFrm()`
`static java.lang.String` | `giveMeOutputFileName(java.lang.String flname, java.lang.String extname)`
`static boolean` | `havehadAMappingArrayMassShowerMainWinFrmInstanceInCurrentGStructure(boolean showmsg)`
`boolean` | `haveInputedData()`
`void` | `initMappingArrayMassShowerConfigWinFrm(java.awt.Color colorMax, java.awt.Color colorMid, java.awt.Color colorMin, double lMax, double lMin)`
`boolean` | `isOutputGif()`
`boolean` | `isOutputMovie()`
`boolean` | `isScaleOutputGif()`
`boolean` | `isScaleOutputMovie()`
`void` | `processWindowEvent(java.awt.event.WindowEvent e)`
`void` | `repaintPreviewColor()`
`void` | `resetDataAndCompentsInThisWinFrm()`
`void` | `restoreUIafterAnimOut(jp.sbi.celldesigner.plugin.InfoCenter.InfoUI.MappingArrayMassShowerMainWinFrm.restoreUI oldvalue)`
`void` | `setFirstRun(boolean firstRun)`
`boolean` | `setGraphicDisplayerFromInputData(java.lang.String[][] strDataFromFile, java.lang.String[][] strInputAuxDatas, boolean showmsg)`
`boolean` | `setGraphicDisplayerFromInputData(java.lang.String[][] strDataFromFile, java.lang.String[][] strInputAuxDatas, int percent, java.awt.Color colorstart, java.awt.Color colormid, java.awt.Color colorend, boolean showmsg)`
`void` | `setMaxVaule(double val)`
`void` | `setMaxVauleColor(java.awt.Color color)`
`void` | `setMidVauleColor(java.awt.Color color)`
`void` | `setMinVaule(double val)`
`void` | `setMinVauleColor(java.awt.Color color)`
`boolean` | `setTargetGStructure()`
`void` | `stateChangedToPercent(int percent, boolean showMsg)`

Methods inherited from class javax.swing.JFrame
`addImpl, createRootPane, frameInit, getAccessibleContext, getContentPane, getDefaultCloseOperation, getGlassPane, getGraphics, getJMenuBar, getLayeredPane, getRootPane, getTransferHandler, isDefaultLookAndFeelDecorated, isRootPaneCheckingEnabled, paramString, remove, repaint, setContentPane, setDefaultCloseOperation, setDefaultLookAndFeelDecorated, setGlassPane, setIconImage, setJMenuBar, setLayeredPane, setLayout, setRootPane, setRootPaneCheckingEnabled, setTransferHandler, update`

Methods inherited from class java.awt.Frame
`addNotify, getCursorType, getExtendedState, getFrames, getIconImage, getMaximizedBounds, getMenuBar, getState, getTitle, isResizable, isUndecorated, remove, removeNotify, setCursor, setExtendedState, setMaximizedBounds, setMenuBar, setResizable, setState, setTitle, setUndecorated`

Methods inherited from class java.awt.Window
`addPropertyChangeListener, addPropertyChangeListener, addWindowFocusListener, addWindowListener, addWindowStateListener, applyResourceBundle, applyResourceBundle, createBufferStrategy, createBufferStrategy, dispose, getBufferStrategy, getFocusableWindowState, getFocusCycleRootAncestor, getFocusOwner, getFocusTraversalKeys, getGraphicsConfiguration, getIconImages, getInputContext, getListeners, getLocale, getModalExclusionType, getMostRecentFocusOwner, getOwnedWindows, getOwner, getOwnerlessWindows, getToolkit, getWarningString, getWindowFocusListeners, getWindowListeners, getWindows, getWindowStateListeners, hide, isActive, isAlwaysOnTop, isAlwaysOnTopSupported, isFocusableWindow, isFocusCycleRoot, isFocused, isLocationByPlatform, isShowing, pack, paint, postEvent, processEvent, processWindowFocusEvent, processWindowStateEvent, removeWindowFocusListener, removeWindowListener, removeWindowStateListener, reshape, setAlwaysOnTop, setBounds, setBounds, setCursor, setFocusableWindowState, setFocusCycleRoot, setIconImages, setLocationByPlatform, setLocationRelativeTo, setMinimumSize, setModalExclusionType, setSize, setSize, setVisible, show, toBack, toFront`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalPolicy, getInsets, getLayout, getMaximumSize, getMinimumSize, getMousePosition, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, print, printComponents, processContainerEvent, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusTraversalKeys, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setFont, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBaseline, getBaselineResizeBehavior, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isPreferredSizeSet, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resize, resize, setBackground, setComponentOrientation, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setLocation, setLocation, setMaximumSize, setName, setPreferredSize, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.awt.MenuContainer
`getFont, postEvent`

Field Detail

### colorDefaultMax

    public static final java.awt.Color colorDefaultMax

### colorDefaultMid

    public static final java.awt.Color colorDefaultMid

### colorDefaultMin

    public static final java.awt.Color colorDefaultMin

### firstRun

    protected boolean firstRun

Constructor Detail

### MappingArrayMassShowerMainWinFrm

    public MappingArrayMassShowerMainWinFrm(RsltDtTpMdlSelectFrm mdlsltfrm,
                                            RsltDtBindingFrm bingfrm,
                                            boolean showmsg)

### MappingArrayMassShowerMainWinFrm

    public MappingArrayMassShowerMainWinFrm(java.awt.Color colorMax,
                                            java.awt.Color colorMid,
                                            java.awt.Color colorMin)

Method Detail

### getReferenceGStructure

    public jp.fric.graphics.draw.GStructure getReferenceGStructure()

### getMaxVauleColor

    public java.awt.Color getMaxVauleColor()

### setMaxVauleColor

    public void setMaxVauleColor(java.awt.Color color)

### getMidVauleColor

    public java.awt.Color getMidVauleColor()

### setMidVauleColor

    public void setMidVauleColor(java.awt.Color color)

### getMinVauleColor

    public java.awt.Color getMinVauleColor()

### setMinVauleColor

    public void setMinVauleColor(java.awt.Color color)

### getMidVaule

    public double getMidVaule()

### getMaxVaule

    public double getMaxVaule()

### setMaxVaule

    public void setMaxVaule(double val)

### getMinVaule

    public double getMinVaule()

### setMinVaule

    public void setMinVaule(double val)

### getMappingArrayMassShowerConfigWinFrm

    public MappingArrayMassShowerConfigWinFrm getMappingArrayMassShowerConfigWinFrm()

### initMappingArrayMassShowerConfigWinFrm

    public void initMappingArrayMassShowerConfigWinFrm(java.awt.Color colorMax,
                                                       java.awt.Color colorMid,
                                                       java.awt.Color colorMin,
                                                       double lMax,
                                                       double lMin)

### resetDataAndCompentsInThisWinFrm

    public void resetDataAndCompentsInThisWinFrm()

### getMappingArrayMassShowerMainWinFrmInstanceInCurrentGStructure

    public static final java.lang.Object getMappingArrayMassShowerMainWinFrmInstanceInCurrentGStructure()

### havehadAMappingArrayMassShowerMainWinFrmInstanceInCurrentGStructure

    public static final boolean havehadAMappingArrayMassShowerMainWinFrmInstanceInCurrentGStructure(boolean showmsg)

### haveInputedData

    public boolean haveInputedData()

### setGraphicDisplayerFromInputData

    public boolean setGraphicDisplayerFromInputData(java.lang.String[][] strDataFromFile,
                                                    java.lang.String[][] strInputAuxDatas,
                                                    boolean showmsg)

### setGraphicDisplayerFromInputData

    public boolean setGraphicDisplayerFromInputData(java.lang.String[][] strDataFromFile,
                                                    java.lang.String[][] strInputAuxDatas,
                                                    int percent,
                                                    java.awt.Color colorstart,
                                                    java.awt.Color colormid,
                                                    java.awt.Color colorend,
                                                    boolean showmsg)

### repaintPreviewColor

    public void repaintPreviewColor()

### setTargetGStructure

    public boolean setTargetGStructure()

### processWindowEvent

    public void processWindowEvent(java.awt.event.WindowEvent e)

  Overrides:
    `processWindowEvent` in class `javax.swing.JFrame`

### doStateChanged

    public void doStateChanged()

### stateChangedToPercent

    public void stateChangedToPercent(int percent,
                                      boolean showMsg)

### isOutputGif

    public boolean isOutputGif()

### isOutputMovie

    public boolean isOutputMovie()

### isScaleOutputGif

    public boolean isScaleOutputGif()

### isScaleOutputMovie

    public boolean isScaleOutputMovie()

### getOutputGifFileName

    public java.lang.String getOutputGifFileName()

### getOutputMovFileName

    public java.lang.String getOutputMovFileName()

### giveMeOutputFileName

    public static final java.lang.String giveMeOutputFileName(java.lang.String flname,
                                                              java.lang.String extname)

### generateGif

    protected boolean generateGif()

### generateMovie

    protected boolean generateMovie()

### restoreUIafterAnimOut

    public void restoreUIafterAnimOut(jp.sbi.celldesigner.plugin.InfoCenter.InfoUI.MappingArrayMassShowerMainWinFrm.restoreUI oldvalue)

### setFirstRun

    public void setFirstRun(boolean firstRun)

### getRsltDtBindingFrm

    public RsltDtBindingFrm getRsltDtBindingFrm()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD